emacs-x11-26.2-1.1.x86_64.rpm


Advertisement

Description

emacs-x11 - GNU Emacs: Emacs binary with X Window System Support

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename emacs-x11-26.2-1.1.x86_64.rpm
Package name emacs-x11
Package version 26.2
Package release 1.1
Package architecture x86_64
Package type rpm
Category Productivity/Text/Editors
Homepage http://www.gnu.org/software/emacs/
License GPL-3.0-or-later
Maintainer -
Download size 5.74 MB
Installed size 76.45 MB
Call it
Emacs
Love it or leave it. This is the Emacs binary with X Window System
Support.

Alternatives

Package Version Architecture Repository
emacs-x11-26.2-1.1.i586.rpm 26.2 i586 openSUSE Oss
emacs-x11 - - -

Requires

Name Value
efont-unicode -
emacs = 26.2-1.1
fileutils -
ifnteuro -
libICE.so.6()(64bit) -
libMagickCore-7.Q16HDRI.so.6()(64bit) -
libMagickWand-7.Q16HDRI.so.6()(64bit) -
libMagickWand-7.Q16HDRI.so.6(VERS_6.0)(64bit) -
libSM.so.6()(64bit) -
libX11-xcb.so.1()(64bit) -
libX11.so.6()(64bit) -
libXaw3d.so.8()(64bit) -
libXext.so.6()(64bit) -
libXfixes.so.3()(64bit) -
libXft.so.2()(64bit) -
libXinerama.so.1()(64bit) -
libXmu.so.6()(64bit) -
libXpm.so.4()(64bit) -
libXrandr.so.2()(64bit) -
libXrender.so.1()(64bit) -
libXt.so.6()(64bit) -
libacl.so.1()(64bit) -
libacl.so.1(ACL_1.0)(64bit) -
libanl.so.1()(64bit) -
libanl.so.1(GLIBC_2.2.5)(64bit) -
libasound.so.2()(64bit) -
libasound.so.2(ALSA_0.9)(64bit) -
libasound.so.2(ALSA_0.9.0rc4)(64bit) -
libc.so.6(GLIBC_2.25)(64bit) -
libcairo.so.2()(64bit) -
libdbus-1.so.3()(64bit) -
libdbus-1.so.3(LIBDBUS_1_3)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgdk-3.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgif.so.7()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgnutls.so.30()(64bit) -
libgnutls.so.30(GNUTLS_3_4)(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-3.so.0()(64bit) -
libjavascriptcoregtk-4.0.so.18()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libm17n-core.so.0()(64bit) -
libm17n-flt.so.0()(64bit) -
libotf.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librsvg-2.so.2()(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
librt.so.1(GLIBC_2.3.3)(64bit) -
libselinux.so.1()(64bit) -
libsystemd.so.0()(64bit) -
libsystemd.so.0(LIBSYSTEMD_209)(64bit) -
libtiff.so.5()(64bit) -
libtinfo.so.6()(64bit) -
libtinfo.so.6(NCURSES6_TINFO_5.0.19991023)(64bit) -
libwebkit2gtk-4.0.so.37()(64bit) -
libxcb.so.1()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libz.so.1()(64bit) -
xorg-x11-fonts -
xorg-x11-fonts-core -

Provides

Name Value
application() -
application(emacs.desktop) -
emacs-x11 = 26.2-1.1
emacs-x11(x86-64) = 26.2-1.1
emacs_program = 26.2-1.1
metainfo() -
metainfo(emacs.appdata.xml) -
mimehandler(application/x-shellscript) -
mimehandler(text/english) -
mimehandler(text/plain) -
mimehandler(text/x-c) -
mimehandler(text/x-c++) -
mimehandler(text/x-c++hdr) -
mimehandler(text/x-c++src) -
mimehandler(text/x-chdr) -
mimehandler(text/x-csrc) -
mimehandler(text/x-java) -
mimehandler(text/x-makefile) -
mimehandler(text/x-moc) -
mimehandler(text/x-pascal) -
mimehandler(text/x-tcl) -
mimehandler(text/x-tex) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package emacs-x11-26.2-1.1.x86_64.rpm
Source Package emacs-26.2-1.1.src.rpm

Install Howto

Install emacs-x11 rpm package:

# zypper install emacs-x11

Files

Path
/usr/bin/emacs-gtk
/usr/bin/emacs-x11
/usr/share/X11/app-defaults/Emacs
/usr/share/applications/emacs.desktop
/usr/share/icons/hicolor/128x128/apps/emacs.png
/usr/share/icons/hicolor/16x16/apps/emacs.png
/usr/share/icons/hicolor/24x24/apps/emacs.png
/usr/share/icons/hicolor/32x32/apps/emacs.png
/usr/share/icons/hicolor/48x48/apps/emacs.png
/usr/share/icons/hicolor/scalable/apps/emacs.svg
/usr/share/icons/hicolor/scalable/mimetypes/emacs-document.svg
/usr/share/icons/hicolor/scalable/mimetypes/emacs-document23.svg
/usr/share/metainfo/emacs.appdata.xml
/usr/share/pixmaps/emacs.png

Changelog

2019-04-15 - Dr. Werner Fink <werner@suse.de>
- Update to emacs version 26.2
* Emacs is now compliant with the latest version 11.0 of the Unicode Standard.
* New variable 'xft-ignore-color-fonts'.
* Changes in Specialized Modes and Packages in Emacs 26.2
Dired: The 'Z' command on a directory name compresses all of its files.
* Ibuffer: New toggle 'ibuffer-do-toggle-lock', bound to 'L'.
* Imenu: The value for 'imenu-auto-rescan-maxout' has been increased to 600000.
* Gnus: Mailutils movemail will now be used if found at runtime.
* Shadowfile: shadowfile.el has been rewritten to support Tramp file names.
* Shell mode: Shell mode buffers now have 'scroll-conservatively' set to 101.
* VC: VC support for Mercurial was improved.
* Incompatible Lisp Changes in Emacs 26.2
shadowfile config files have changed their syntax.
'thread-alive-p' has been renamed to 'thread-live-p'.
'while-no-input' does not return due to input from subprocesses.
* Lisp Changes in Emacs 26.2
The new function 'read-answer' accepts either long or short answers
depending on the new customizable variable 'read-answer-short'.
New function 'assoc-delete-all'.  Like 'assq-delete-all', but uses
'equal' for comparison.
The function 'thing-at-point' behaves as before Emacs 26.1.
The behavior of 'thing-at-point' when called with argument 'list' has
changed in Emacs 26.1, in that it didn't consider text inside comments
and strings as a potential list.  This change is now reverted, and
'thing-at-point' behaves like it did before Emacs 26.1.
To cater to use cases where comments and strings are to be ignored
when looking for a list, the function 'list-at-point' now takes an
optional argument to do so.
- Port and rename patch emacs-26.1.dif to emacs-26.2.dif
- Modify/port patches
* emacs-24.1-ps-mule.patch
* emacs-24.3-iconic.patch
* emacs-24.4-flyspell.patch
* emacs-24.4-glibc.patch
* emacs-24.4-nonvoid.patch
* emacs-24.4-ps-bdf.patch
* emacs-25.2-ImageMagick7.patch
2018-10-23 - Dr. Werner Fink <werner@suse.de>
- Let ispell.el perform even on older systems without default
hunspell dictionary as otherwise this leades to wrong type
error as nil is not a pointer to a string
2018-10-23 - Dr. Werner Fink <werner@suse.de>
- Let site-start.el also seek for hunspell to load the ispell
lisp library (boo#1110387)
2018-10-22 - Dr. Werner Fink <werner@suse.de>
- Help ispell(.el) to find and provide the usable dictionaries
even for hunspell (boo#1110387)
2018-07-20 - werner@suse.de
- Avoid error message on info.info(.info) as this file should not be
installed due it is part of the system package info (boo#1101652)
2018-07-08 - schwab@linux-m68k.org
- xwidget.patch: Make xwidget-webkit-execute-script safe against GC
- Re-enable Xwidgets on 32bit architectures
2018-06-15 - werner@suse.de
- Simplify patch emacs-25.3-xft4x11.patch (from Henryk Hecht) for
boo#1096354
2018-06-12 - werner@suse.de
- Add patch emacs-26.1-xft4x11.patch to allow emacs-x11 to use
xft even for its menu bar (boo#1096354)
2018-06-08 - bjorn.lie@gmail.com
- Drop pkgconfig(gconf-2.0) BuildRequires: No longer needed, nor
used. Emacs-x11 uses gsettings on openSUSE.
2018-06-07 - werner@suse.de
- Use -fPIE/-pie for helper binaries
- Use Groups tag Productivity/Text/Editors

See Also

Package Description
embryo-1.20.7-14.6.i586.rpm Abstract GUI layout and animation object library
embryo-1.20.7-14.6.x86_64.rpm Abstract GUI layout and animation object library
emf2svg-conv-1.1.0-1.3.i586.rpm EMF to SVG converter
emf2svg-conv-1.1.0-1.3.x86_64.rpm EMF to SVG converter
emil-2.1.0beta9-968.14.i586.rpm E-Mail Filter
emil-2.1.0beta9-968.14.x86_64.rpm E-Mail Filter
emojione-color-font-1.3-2.6.noarch.rpm Colored Emoji Font
empathy-3.12.14-7.1.i586.rpm Instant Messenger Client for GNOME, based on Telepathy
empathy-3.12.14-7.1.x86_64.rpm Instant Messenger Client for GNOME, based on Telepathy
empathy-lang-3.12.14-7.1.noarch.rpm Translations for package empathy
enblend-enfuse-4.2-4.5.i586.rpm Tool for Composing Images
enblend-enfuse-4.2-4.5.x86_64.rpm Tool for Composing Images
enblend-enfuse-doc-4.2-4.5.i586.rpm Usage Documentation for enblend and enfuse
enblend-enfuse-doc-4.2-4.5.x86_64.rpm Usage Documentation for enblend and enfuse
enca-1.19-1.3.i586.rpm Detects encoding of text files
Advertisement
Advertisement